package org.micord.models;

import lombok.Setter;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * @author Maksim Tereshin
 */
@Setter
@XmlRootElement(name = "Requests")
public class Requests {

	private List<SqlRequest> sqlRequests;
	private List<AqlRequest> aqlRequests;
	private List<S3Request> s3Requests;

	@XmlElement(name = "SqlRequest")
	public List<SqlRequest> getSqlRequests() {
		return sqlRequests;
	}

	@XmlElement(name = "AqlRequest")
	public List<AqlRequest> getAqlRequests() {
		return aqlRequests;
	}

	@XmlElement(name = "S3Request")
	public List<S3Request> getS3Requests() {
		return s3Requests;
	}

}
